Subject: Re: [PATCH] xfrm: use printk instead of WARN for bad policy reporting

From: Vegard Nossum <[email-masked]>
Date: Wed, 27 Jul 2016 08:44:15 +0200

On 07/27/2016 08:31 AM, Herbert Xu wrote:
> On Wed, Jul 27, 2016 at 08:20:57AM +0200, Vegard Nossum wrote:
>>
>> Here's another patch to remove that too.
>>
>> I don't actually *use* this code myself and I feel the justification
>> I've given for removing the WARN to be a bit weak, so if you don't take
>> the patch I'll just keep it in my local tree to keep it from showing up
>> again during fuzzing.
>
> Please just kill the whole else clause.  For soft policy expires
> we simply need to relay a message to the KM and nothing more.

Try #2 :-)

Vegard
>>From e5111e4dcd0e0c0990d3f4bba0ba0bc9d0b40bae Mon Sep 17 00:00:00 2001
From: Vegard Nossum <[email-masked]>
Date: Wed, 27 Jul 2016 08:13:14 +0200
Subject: [PATCH] xfrm: get rid of another incorrect WARN

During fuzzing I regularly run into this WARN(). According to Herbert Xu,
this "certainly shouldn't be a WARN, it probably shouldn't print anything
either".

Cc: Stephen Hemminger <[email-masked]>
Cc: Steffen Klassert <[email-masked]>
Cc: Herbert Xu <[email-masked]>
Signed-off-by: Vegard Nossum <[email-masked]>
---
 net/xfrm/xfrm_user.c | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/net/xfrm/xfrm_user.c b/net/xfrm/xfrm_user.c
index 2477b24..10e4e26 100644
--- a/net/xfrm/xfrm_user.c
+++ b/net/xfrm/xfrm_user.c
@@ -2051,9 +2051,6 @@ static int xfrm_add_pol_expire(struct sk_buff *skb, struct nlmsghdr *nlh,
 	if (up->hard) {
 		xfrm_policy_delete(xp, p->dir);
 		xfrm_audit_policy_delete(xp, 1, true);
-	} else {
-		// reset the timers here?
-		WARN(1, "Don't know what to do with soft policy expire\n");
 	}
 	km_policy_expired(xp, p->dir, up->hard, nlh->nlmsg_pid);
 
-- 
1.9.1